<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Data/Git/MeLOn/gaussian process/model/inc/gpData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('gp_data_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">gpData.h</div></div>
</div><!--header-->
<div class="contents">
<a href="gp_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/***********************************************************************************</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">* Copyright (c) 2020 Process Systems Engineering (AVT.SVT), RWTH Aachen University</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">*</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">* This program and the accompanying materials are made available under the</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment">* terms of the Eclipse Public License 2.0 which is available at</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">* http://www.eclipse.org/legal/epl-2.0.</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment">*</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment">* SPDX-License-Identifier: EPL-2.0</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment">*</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment">* @file gpData.h</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment">* @brief File containing declaration of a struct for storing Gaussian process data</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">*</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment">**********************************************************************************/</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#include &lt;vector&gt;</span>       <span class="comment">// std::vector</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="preprocessor">#include &quot;<a class="code" href="matern_8h.html">matern.h</a>&quot;</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="preprocessor">#include &quot;<a class="code" href="model_data_8h.html">modelData.h</a>&quot;</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="preprocessor">#include &quot;<a class="code" href="scaler_8h.html">scaler.h</a>&quot;</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacemelon.html">melon</a> {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="foldopen" id="foldopen00031" data-start="{" data-end="};">
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="structmelon_1_1_g_p_data.html">   31</a></span>    <span class="keyword">struct </span><a class="code hl_struct" href="structmelon_1_1_g_p_data.html">GPData</a> : <span class="keyword">public</span> <a class="code hl_struct" href="struct_model_data.html">ModelData</a> {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="structmelon_1_1_g_p_data.html#abf55d00a79969bcb9ddcb74575b6a5ab">   32</a></span>        std::shared_ptr&lt;kernel::KernelData&gt; <a class="code hl_variable" href="structmelon_1_1_g_p_data.html#abf55d00a79969bcb9ddcb74575b6a5ab">kernelData</a>;     </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="structmelon_1_1_g_p_data.html#af94460988623f8f8f5debb885629ed58">   34</a></span>        <span class="keywordtype">int</span> <a class="code hl_variable" href="structmelon_1_1_g_p_data.html#af94460988623f8f8f5debb885629ed58">nX</a>;                                             </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="structmelon_1_1_g_p_data.html#a9747c4e9b1dc647a48ca708254d141f0">   35</a></span>        <span class="keywordtype">int</span> <a class="code hl_variable" href="structmelon_1_1_g_p_data.html#a9747c4e9b1dc647a48ca708254d141f0">DX</a>;                                             </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="structmelon_1_1_g_p_data.html#abc4059f55f790dd99b89f06edc280807">   36</a></span>        <span class="keywordtype">int</span> <a class="code hl_variable" href="structmelon_1_1_g_p_data.html#abc4059f55f790dd99b89f06edc280807">DY</a>;                                             </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="structmelon_1_1_g_p_data.html#a38be65d3ef7888bde2f9c2aaa26a296d">   37</a></span>        <span class="keywordtype">int</span> <a class="code hl_variable" href="structmelon_1_1_g_p_data.html#a38be65d3ef7888bde2f9c2aaa26a296d">matern</a>;                                         </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="structmelon_1_1_g_p_data.html#ab4efbfa86dbc7ca4cbd863a3629c5ad5">   39</a></span>        std::shared_ptr&lt;ScalerData&gt; <a class="code hl_variable" href="structmelon_1_1_g_p_data.html#ab4efbfa86dbc7ca4cbd863a3629c5ad5">inputScalerData</a>;        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="structmelon_1_1_g_p_data.html#a0016bdf5ba5ce879a011eea2f15e6149">   40</a></span>        std::shared_ptr&lt;ScalerData&gt; <a class="code hl_variable" href="structmelon_1_1_g_p_data.html#a0016bdf5ba5ce879a011eea2f15e6149">predictionScalerData</a>;   </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="comment">//std::vector&lt;double&gt; inputLowerBound;                /*!&lt; Vector containing lower bound for each input dimension */</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="comment">//std::vector&lt;double&gt; inputUpperBound;                /*!&lt; Vector containing upper bound for each input dimension */</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="comment">//std::vector&lt;double&gt; problemLowerBound;              /*!&lt; Vector containing lower bound for each output dimension */</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="comment">//std::vector&lt;double&gt; problemUpperBound;              /*!&lt; Vector containing upper bound for each output dimesnion */</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="structmelon_1_1_g_p_data.html#a9bf51f6c5f0c65ba06eeba3c16e18796">   47</a></span>        std::vector&lt;std::vector&lt;double&gt;&gt; <a class="code hl_variable" href="structmelon_1_1_g_p_data.html#a9bf51f6c5f0c65ba06eeba3c16e18796">X</a>;                 </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="structmelon_1_1_g_p_data.html#ac2ca3a861eef23a4aab4d64009bc6aec">   48</a></span>        std::vector&lt;double&gt; <a class="code hl_variable" href="structmelon_1_1_g_p_data.html#ac2ca3a861eef23a4aab4d64009bc6aec">Y</a>;                              </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="structmelon_1_1_g_p_data.html#af5a6789b5fc9709e3da7ff6a3ab8d417">   49</a></span>        std::vector&lt;std::vector&lt;double&gt;&gt; <a class="code hl_variable" href="structmelon_1_1_g_p_data.html#af5a6789b5fc9709e3da7ff6a3ab8d417">K</a>;                 </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="structmelon_1_1_g_p_data.html#a4bf3b1c58e1c2d09ab695d564db4bd89">   50</a></span>        std::vector&lt;std::vector&lt;double&gt;&gt; <a class="code hl_variable" href="structmelon_1_1_g_p_data.html#a4bf3b1c58e1c2d09ab695d564db4bd89">invK</a>;              </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="structmelon_1_1_g_p_data.html#a545f45a74992594c1abab224da943152">   53</a></span>        <span class="keywordtype">double</span> <a class="code hl_variable" href="structmelon_1_1_g_p_data.html#a545f45a74992594c1abab224da943152">stdOfOutput</a>;                                 </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="comment">// TODO: remove (?)</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="structmelon_1_1_g_p_data.html#a190192bb9474c24510e8b34e3fae0763">   55</a></span>        <span class="keywordtype">double</span> <a class="code hl_variable" href="structmelon_1_1_g_p_data.html#a190192bb9474c24510e8b34e3fae0763">meanfunction</a>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="comment">//double meanOfOutput;                              </span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    };</div>
</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>}</div>
<div class="ttc" id="amatern_8h_html"><div class="ttname"><a href="matern_8h.html">matern.h</a></div></div>
<div class="ttc" id="amodel_data_8h_html"><div class="ttname"><a href="model_data_8h.html">modelData.h</a></div></div>
<div class="ttc" id="anamespacemelon_html"><div class="ttname"><a href="namespacemelon.html">melon</a></div><div class="ttdef"><b>Definition</b> kernel.h:21</div></div>
<div class="ttc" id="ascaler_8h_html"><div class="ttname"><a href="scaler_8h.html">scaler.h</a></div></div>
<div class="ttc" id="astruct_model_data_html"><div class="ttname"><a href="struct_model_data.html">ModelData</a></div><div class="ttdoc">Abstract class from which specific model data object can be derived and enabling polymorphism.</div><div class="ttdef"><b>Definition</b> modelData.h:22</div></div>
<div class="ttc" id="astructmelon_1_1_g_p_data_html"><div class="ttname"><a href="structmelon_1_1_g_p_data.html">melon::GPData</a></div><div class="ttdoc">struct containing all information regarding the Gaussian process</div><div class="ttdef"><b>Definition</b> gpData.h:31</div></div>
<div class="ttc" id="astructmelon_1_1_g_p_data_html_a0016bdf5ba5ce879a011eea2f15e6149"><div class="ttname"><a href="structmelon_1_1_g_p_data.html#a0016bdf5ba5ce879a011eea2f15e6149">melon::GPData::predictionScalerData</a></div><div class="ttdeci">std::shared_ptr&lt; ScalerData &gt; predictionScalerData</div><div class="ttdef"><b>Definition</b> gpData.h:40</div></div>
<div class="ttc" id="astructmelon_1_1_g_p_data_html_a190192bb9474c24510e8b34e3fae0763"><div class="ttname"><a href="structmelon_1_1_g_p_data.html#a190192bb9474c24510e8b34e3fae0763">melon::GPData::meanfunction</a></div><div class="ttdeci">double meanfunction</div><div class="ttdef"><b>Definition</b> gpData.h:55</div></div>
<div class="ttc" id="astructmelon_1_1_g_p_data_html_a38be65d3ef7888bde2f9c2aaa26a296d"><div class="ttname"><a href="structmelon_1_1_g_p_data.html#a38be65d3ef7888bde2f9c2aaa26a296d">melon::GPData::matern</a></div><div class="ttdeci">int matern</div><div class="ttdef"><b>Definition</b> gpData.h:37</div></div>
<div class="ttc" id="astructmelon_1_1_g_p_data_html_a4bf3b1c58e1c2d09ab695d564db4bd89"><div class="ttname"><a href="structmelon_1_1_g_p_data.html#a4bf3b1c58e1c2d09ab695d564db4bd89">melon::GPData::invK</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; double &gt; &gt; invK</div><div class="ttdef"><b>Definition</b> gpData.h:50</div></div>
<div class="ttc" id="astructmelon_1_1_g_p_data_html_a545f45a74992594c1abab224da943152"><div class="ttname"><a href="structmelon_1_1_g_p_data.html#a545f45a74992594c1abab224da943152">melon::GPData::stdOfOutput</a></div><div class="ttdeci">double stdOfOutput</div><div class="ttdef"><b>Definition</b> gpData.h:53</div></div>
<div class="ttc" id="astructmelon_1_1_g_p_data_html_a9747c4e9b1dc647a48ca708254d141f0"><div class="ttname"><a href="structmelon_1_1_g_p_data.html#a9747c4e9b1dc647a48ca708254d141f0">melon::GPData::DX</a></div><div class="ttdeci">int DX</div><div class="ttdef"><b>Definition</b> gpData.h:35</div></div>
<div class="ttc" id="astructmelon_1_1_g_p_data_html_a9bf51f6c5f0c65ba06eeba3c16e18796"><div class="ttname"><a href="structmelon_1_1_g_p_data.html#a9bf51f6c5f0c65ba06eeba3c16e18796">melon::GPData::X</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; double &gt; &gt; X</div><div class="ttdef"><b>Definition</b> gpData.h:47</div></div>
<div class="ttc" id="astructmelon_1_1_g_p_data_html_ab4efbfa86dbc7ca4cbd863a3629c5ad5"><div class="ttname"><a href="structmelon_1_1_g_p_data.html#ab4efbfa86dbc7ca4cbd863a3629c5ad5">melon::GPData::inputScalerData</a></div><div class="ttdeci">std::shared_ptr&lt; ScalerData &gt; inputScalerData</div><div class="ttdef"><b>Definition</b> gpData.h:39</div></div>
<div class="ttc" id="astructmelon_1_1_g_p_data_html_abc4059f55f790dd99b89f06edc280807"><div class="ttname"><a href="structmelon_1_1_g_p_data.html#abc4059f55f790dd99b89f06edc280807">melon::GPData::DY</a></div><div class="ttdeci">int DY</div><div class="ttdef"><b>Definition</b> gpData.h:36</div></div>
<div class="ttc" id="astructmelon_1_1_g_p_data_html_abf55d00a79969bcb9ddcb74575b6a5ab"><div class="ttname"><a href="structmelon_1_1_g_p_data.html#abf55d00a79969bcb9ddcb74575b6a5ab">melon::GPData::kernelData</a></div><div class="ttdeci">std::shared_ptr&lt; kernel::KernelData &gt; kernelData</div><div class="ttdef"><b>Definition</b> gpData.h:32</div></div>
<div class="ttc" id="astructmelon_1_1_g_p_data_html_ac2ca3a861eef23a4aab4d64009bc6aec"><div class="ttname"><a href="structmelon_1_1_g_p_data.html#ac2ca3a861eef23a4aab4d64009bc6aec">melon::GPData::Y</a></div><div class="ttdeci">std::vector&lt; double &gt; Y</div><div class="ttdef"><b>Definition</b> gpData.h:48</div></div>
<div class="ttc" id="astructmelon_1_1_g_p_data_html_af5a6789b5fc9709e3da7ff6a3ab8d417"><div class="ttname"><a href="structmelon_1_1_g_p_data.html#af5a6789b5fc9709e3da7ff6a3ab8d417">melon::GPData::K</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; double &gt; &gt; K</div><div class="ttdef"><b>Definition</b> gpData.h:49</div></div>
<div class="ttc" id="astructmelon_1_1_g_p_data_html_af94460988623f8f8f5debb885629ed58"><div class="ttname"><a href="structmelon_1_1_g_p_data.html#af94460988623f8f8f5debb885629ed58">melon::GPData::nX</a></div><div class="ttdeci">int nX</div><div class="ttdef"><b>Definition</b> gpData.h:34</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_f620e5568ec0800ef52addb3e6877e12.html">gaussian process</a></li><li class="navelem"><a class="el" href="dir_8c70d682863ca179b3d27e6b8b5f957c.html">model</a></li><li class="navelem"><a class="el" href="dir_12f46f25b78a2006c0f01ceda0de4504.html">inc</a></li><li class="navelem"><a class="el" href="gp_data_8h.html">gpData.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
